#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "UObject/NoExportTypes.h"
#include "GameplayTagContainer.h"
#include "ExitDoorActivationSurvivorSubAnimInstance.generated.h"

class UAnimSequence;

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API UExitDoorActivationSurvivorSubAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool _isInteractingWithSwitch;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FVector _snapPosition;

	UPROPERTY(EditAnywhere)
	FGameplayTag _openEscapeTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _resetSteamPipesTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asExitDoorActivationInTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asExitDoorActivationLoopTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asExitDoorActivationIn;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asExitDoorActivationLoop;

public:
	UExitDoorActivationSurvivorSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UExitDoorActivationSurvivorSubAnimInstance) { return 0; }
